export interface Notification {
    type: string;
    payload: {
        level?: string;
    };
}
export declare var Level: {
    silly: number;
    debug: number;
    info: number;
    warning: number;
    error: number;
    mute: number;
};
export declare class Logger {
    logService: {
        level: number;
    };
    name: string;
    subject: any;
    constructor(logService: {
        level: number;
    }, name: string);
    closePublication(): void;
    silly(...args: any[]): void;
    debug(...args: any[]): void;
    info(...args: any[]): void;
    warning(...args: any[]): void;
    error(...args: any[]): void;
    private _publishEvent(level, ...args);
}
