import { Logger } from './Logger';
export declare class LogService {
    loggers: Map<string, Logger>;
    level: number;
    constructor();
    openLogger(loggerName: string): Logger;
    closeLogger(loggerName: string): Logger;
    /**
     * Redirect log to a given logger.
     *
     * If the asked logger does not yet exists it will be created
     */
    to(loggerName: string): Logger;
    silly(...args: any[]): void;
    debug(...args: any[]): void;
    info(...args: any[]): void;
    warning(...args: any[]): void;
    error(...args: any[]): void;
}
