import { Logger } from './Logger';
import { LogService } from './log.service';
export declare class SessionStorageService {
    local: any;
    subscribers: any;
    log: Logger;
    constructor(logSerice: LogService);
    /**
     * Set the key in the session storage
     */
    setKey(key: string, value: string | Object): void;
    /**
     * Get the key
     */
    getKey(key: string): string | any;
    /**
     * Set a listener and if value is present call it sync
     */
    subscribe(key: string, callback: any): void;
}
